---
lang: en
title: 'API docs: rest-crud.crudrestcontroller'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.crudrestcontroller.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [CrudRestController](./rest-crud.crudrestcontroller.md)

## CrudRestController interface

This interface describes prototype members of the controller class returned by `defineCrudRestController`<!-- -->.

**Signature:**

```typescript
export interface CrudRestController<T extends Entity, IdType, IdName extends keyof T, Relations extends object = {}> 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [repository](./rest-crud.crudrestcontroller.repository.md) | <code>readonly</code> | EntityCrudRepository&lt;T, IdType&gt; | The backing repository used to access &amp; modify model data. |

## Methods

|  Method | Description |
|  --- | --- |
|  [find(filter)](./rest-crud.crudrestcontroller.find.md) | Implementation of the endpoint <code>GET /</code>. |


